Bug 214542 - netpoll_send_udp does not compute a UDP checksum
netpoll_send_udp does not compute a UDP checksum
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 21:49 EST by Chris Lalancette
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 21:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix to correctly compute checksum in netpoll_send_udp (582 bytes, patch)
2006-11-08 00:02 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-07 21:49:02 EST
Description of problem:

netpoll_send_udp would always set the UDP checksum to 0.  This means that all
packets sent via netconsole (the only two users of netpoll_send_udp) would have
a zero checksum.  While this is technically allowed by the protocol, this is
generally not advisable.  The fix is a simple UDP checksum calculation in
netpoll_send_udp.
Comment 1 Chris Lalancette 2006-11-08 00:02:58 EST
Created attachment 140629 [details]
Fix to correctly compute checksum in netpoll_send_udp
Comment 2 Linda Wang 2006-11-17 14:27:42 EST
version was set to rc1,  patch posted on 11/08.
Comment 3 RHEL Product and Program Management 2006-11-17 14:46:40 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2006-11-20 14:41:50 EST
This seems like the kind of thing which should be deferred to 5.1 as opposed to
taken in now.  The 0 checksum is allowed by the protocol and the behavior
appears to have been this way all of RHEL5.  Is this a regression relative to RHEL4?
Comment 5 Chris Lalancette 2006-11-20 14:50:36 EST
Well, it is now :).  The patch was accepted and integrated into the RHEL-4 tree
a few days ago.  This has been a problem for a very long time; I checked all the
way back to the RHEL 2.1 tree, and it was a problem on all versions.  It was
also just committed upstream.  While a zero checksum is allowed by the protocol,
it is strongly discouraged, so the fix should go in.  Also, it is a pretty
trivial fix, so the chance for regression is very slim.  That being said, it is
not *critical*, so it can be deferred if QA can't get to it.
Comment 6 Jay Turner 2006-11-20 15:01:03 EST
QE ack for RHEL5.
Comment 7 Don Zickus 2006-11-29 17:25:44 EST
in 2.6.18-1.2767.el5
Comment 8 RHEL Product and Program Management 2006-12-22 21:13:41 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.